curl --request POST \
--url https://statsigapi.net/console/v1/experiments/assignment_source/{name} \
--header 'Content-Type: application/json' \
--header 'STATSIG-API-KEY: <api-key>' \
--data '
{
"sql": "<string>",
"timestampColumn": "<string>",
"experimentIDColumn": "<string>",
"groupIDColumn": "<string>",
"idTypeMapping": [
{
"statsigUnitID": "<string>",
"column": "<string>"
}
],
"name": "<string>",
"description": "<string>",
"isVerified": true,
"tags": [
"<string>"
],
"isReadOnly": true,
"owner": {
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
}
}
'import requests
url = "https://statsigapi.net/console/v1/experiments/assignment_source/{name}"
payload = {
"sql": "<string>",
"timestampColumn": "<string>",
"experimentIDColumn": "<string>",
"groupIDColumn": "<string>",
"idTypeMapping": [
{
"statsigUnitID": "<string>",
"column": "<string>"
}
],
"name": "<string>",
"description": "<string>",
"isVerified": True,
"tags": ["<string>"],
"isReadOnly": True,
"owner": {
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
}
}
headers = {
"STATSIG-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'STATSIG-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sql: '<string>',
timestampColumn: '<string>',
experimentIDColumn: '<string>',
groupIDColumn: '<string>',
idTypeMapping: [{statsigUnitID: '<string>', column: '<string>'}],
name: '<string>',
description: '<string>',
isVerified: true,
tags: ['<string>'],
isReadOnly: true,
owner: {
ownerID: 'user123',
ownerType: 'USER',
ownerName: 'John Doe',
ownerEmail: 'owner123@test.com'
}
})
};
fetch('https://statsigapi.net/console/v1/experiments/assignment_source/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Assignment Source updated successfully",
"data": {
"name": "exposures3",
"description": "qweqwe",
"tags": [],
"sql": "SELECT * FROM shoppy-sales.experiment_data.exposures",
"timestampColumn": "ts",
"groupIDColumn": "group_id",
"experimentIDColumn": "experiment_name",
"idTypeMapping": [
{
"statsigUnitID": "stableID",
"column": "user_id"
}
]
}
}{
"status": 400,
"message": "Invalid request. Please check the request input and try again."
}{
"status": 401,
"message": "This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx"
}{
"status": 404,
"message": "Not Found. The requested resource could not be found."
}Post Assignment Source
Authorizations
Headers
Optional header to respect review settings for mutation endpoints.
Path Parameters
Name of the assignment source
Body
SQL query defining the data source for assignments.
Column name representing the timestamp of assignments.
Column name for the experiment ID associated with the assignments.
Column name for the group ID linked to the assignments.
Mappings of Statsig units to their respective columns.
Show child attributes
Show child attributes
Optional new name for the assignment source.
Optional updated context for the assignment source.
Marks the assignment source as verified for internal trustworthiness.
Optional updated tags for categorization.
Specifies if the source can only be edited via the Console API.
Schema for owner data including ID, type, name. Note that if Entity is created by CONSOLE API, owner will be undefined.
Show child attributes
Show child attributes
{
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
}

